EntityEvents.death(event => {
    const entity = event.entity
    const level = entity.level

    if (entity.type != 'enlightened_end:ringling') return

    if (level.dimension != 'minecraft:the_end') return

    if (Math.random() < 0.05) {
        level.runCommandSilent(`summon item ${entity.x} ${entity.y} ${entity.z} {Item:{id:"enlightened_end:squished_bouncer",Count:1}}`)
    }
})